{% load socialaccount %}

{% get_providers as socialaccount_providers %}

<div class="button-group">
  {% for provider in socialaccount_providers %}

    {% if provider.id == "openid" %}
      {% for brand in provider.get_brands %}
        <a title="{{brand.name}}" 
           class="button socialaccount_provider {{provider.id}} {{brand.id}}" 
           href="{% provider_login_url provider.id openid=brand.openid_url process=process %}"
        >{{brand.name}}</a>
      {% endfor %}
    {% endif %}

    <a title="{{provider.name}}"
       class="button socialaccount_provider {{provider.id}}" 
       href="{% provider_login_url provider.id process=process scope=scope auth_params=auth_params %}"
       ><i class="fab fa-{{provider.name|lower}} fa-lg"></i> | {{provider.name}}</a>

  {% endfor %}
</div>
